'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (_ref) {
  var t = _ref.types;

  return {
    visitor: {
      Program: function Program(path, state) {
        var done = false;
        var comments = [];
        path.traverse({
          enter: function enter(path) {
            if (path.node.trailingComments) {
              comments = comments.concat(path.node.trailingComments);
            }
            t.removeComments(path.node);
          }
        });
        path.traverse({
          enter: function enter(path) {
            if (!done) {
              comments.forEach(function (comment) {
                path.addComment('leading', comment.value, true);
              });
              done = true;
            }
          }
        });
      }
    }
  };
};